<VirtualHost *:80>
	# The ServerName directive sets the request scheme, hostname and port that
	# the server uses to identify itself. This is used when creating
	# redirection URLs. In the context of virtual hosts, the ServerName
	# specifies what hostname must appear in the request's Host: header to
	# match this virtual host. For the default virtual host (this file) this
	# value is not decisive as it is used as a last resort host regardless.
	# However, you must set it for any further virtual host explicitly.
	#ServerName www.example.com

	ServerAdmin webmaster@localhost
	DocumentRoot /var/www/html

	# Available loglevels: trace8, ..., trace1, debug, info, notice, warn,
	# error, crit, alert, emerg.
	# It is also possible to configure the loglevel for particular
	# modules, e.g.
	#LogLevel info ssl:warn

	ErrorLog ${APACHE_LOG_DIR}/error.log
	CustomLog ${APACHE_LOG_DIR}/access.log combined

	Alias /tmp /var/ppp/tmp
	Alias /tmp-old /var/www/tmp
	Alias /orderdata /mnt/HOA-orderdata1
	Alias /estatements /var/ppp/estatements
	Alias /ballotdata /mnt/HOA-orderdata1/ballotdata
	Alias /batch_invoices /mnt/HOA-orderdata1/batch_invoices
	Alias /batch_print_files /mnt/HOA-orderdata1/batch_print_files
	Alias /reports /var/ppp/reports
	Alias /admin/client-files /var/ppp/client_files
	Alias /maps /var/www/html/maps

	<Directory /var/www/html/maps>
      AllowOverride All
      Options FollowSymLinks
    </Directory>

    <Directory /var/ppp/tmp>
      AllowOverride None
      Options None
      Require all granted
    </Directory>

    <Directory /mnt/HOA-orderdata1>
      AllowOverride None
      Options None
      Require all granted
    </Directory>

    <Directory /var/ppp/estatements>
      AllowOverride None
      Options None
      Require all granted
    </Directory>
	
	<Directory /mnt/HOA-orderdata1/ballotdata>
      AllowOverride None
      Options None
      Require all granted
    </Directory>

    <Directory /mnt/HOA-orderdata1/batch_invoices>
      AllowOverride None
      Options None
      Require all granted
    </Directory>

    <Directory /mnt/HOA-orderdata1/batch_print_files>
      AllowOverride None
      Options None
      Require all granted
    </Directory>

    <Directory /var/ppp/reports>
      AllowOverride None
      Options None
      Require all granted
    </Directory>

	<Directory /usr/share/phpmyadmin>
      AllowOverride None
      Options None
      Order Allow,Deny
      Deny From all
    </Directory>

    <Directory /var/ppp/client_files>
      AllowOverride None
      Options FollowSymLinks
      Require all granted
    </Directory>

	<DirectoryMatch "/\.git">
		Deny from all
	</DirectoryMatch>

	RedirectMatch 404 "/\.git"


	# For most configuration files from conf-available/, which are
	# enabled or disabled at a global level, it is possible to
	# include a line for only one particular virtual host. For example the
	# following line enables the CGI configuration for this host only
	# after it has been globally disabled with "a2disconf".
	#Include conf-available/serve-cgi-bin.conf

	<Directory /var/www/html>
			AllowOverride All
			Options FollowSymLinks
	</Directory>

</VirtualHost>
